package com.community.huiju.service;

import com.community.commom.mode.ResponseBean;

public interface WxLoginServiceI {

	/**
	 * 获取微信 openid
	 * @param wxcode
	 * @return
	 */
	ResponseBean getOpenidByWxcode(String wxcode);

	/**
	 * 手机号 和 验证码 关联微信账号
	 * @param parameter
	 * @return
	 */
	ResponseBean associatedWX(String parameter);

	/**
	 * 注册用户 关联微信
	 * @param parameter
	 * @return
	 */
	ResponseBean register(String parameter);
}
